/* modal */
.modal {position: fixed;top: 0;left: 0;z-index: 1060;display: none;width: 100%;height: 100%;overflow-x: hidden;overflow-y: auto;outline: 0;background:rgba(0,0,0,0.96);}
/* modal-alert*/
.modal-alert{}
.icon-btn-clse{width:35px;height:35px;background: url("../images/sub/btn-modal-clse.svg");background-size:26px;}
.modal-alert .modal-content{border-radius:20px;}
.modal-alert .modal-body{padding: 100px 0 80px;}
.modal-alert .modal-body p{margin-bottom:20px;font-weight: 500;font-size: 20px;line-height: 30px;}
.modal-alert .modal-body .btn-center{}
.modal-alert .modal-body .btn-center .btn{padding: 13px 30px;}
.modal-alert .modal-body .btn-center .btn:first-child{margin-right:10px;}

.modal .btn-center{border:0;}
.fade {transition: opacity .15s linear;}
.modal.fade .modal-dialog {transition: transform .3s ease-out;/* transform: translate(0,-50px) */;}
.modal-dialog {position: relative;width: auto;margin: 0.5rem;pointer-events: none;top: 50%;transform: translateY(-50%);}
.modal-content {position: relative;display: flex;flex-direction: column;width: 100%;pointer-events: auto;background-color: #fff;background-clip: padding-box;border-radius: 20px;outline: 0;}
.modal-content.swiper-content{background:transparent;border: 0;}
.modal-content.swiper-content .modal-body{padding:0;}
.modal-header {display: flex;flex-shrink: 0;align-items: center;justify-content: space-between;}
.modal-title {margin-bottom: 0;line-height: 1.5;}
.modal-header .btn-close {padding: 0.5rem 0.5rem;margin: -0.5rem -0.5rem -0.5rem auto;}
.modal-body {position: relative;}
.modal-footer {display: flex;flex-wrap: wrap;flex-shrink: 0;align-items: center;justify-content: flex-end;}
.modal-dialog-centered {display: flex;align-items: center;margin: 0.5rem auto;;}
/* .modal-dialog-centered {display: flex;align-items: center;min-height: calc(100% - var(--bs-modal-margin) * 2);margin-left: auto;margin-right: auto;} */
.modal-footer>* {
    margin: 0.25rem;
}
.modal-xl {
   /* max-width: 1140px; */
}
.modal-lg {
   max-width: 800px;
}
.modal-md {
   max-width: 600px;
}
.modal-sm {
   max-width: 500px;
}



.swiper-pagination-lock {
    display: block;
}
#locationSwiper .modal-dialog{top:0;transform:none;}
#locationSwiper .btn-modal-clse{display:block;position: absolute;top: 0;right: 0;}
#locationSwiper .swiper-box{position:relative;/* max-width:1199px; */width:100%;}
#locationSwiper .modal-top{display:flex;justify-content:space-between;position:absolute;top:0;width: calc(100% - 3%);height: 40px;}
#locationSwiper .swiper1{display: flex;align-items: center;justify-content: center;/* max-height:674px; */height:auto;padding-top: 40px;margin-bottom: 15px;}
#locationSwiper .swiper-slide {text-align:center;}
#locationSwiper .swiper-slide img{max-width: 100%;max-height: 100%;}
#locationSwiper .thumbnail {padding-bottom:30px;overflow-y: visible;}
#locationSwiper .thumbnail li{aspect-ratio: 146/110;max-width: 146px;}
#locationSwiper .swiper-slide-thumb-active img{border: 5px solid #4094F2;}
/* #locationSwiper .swiper-pagination-1{bottom: 0;top: auto !important;height: 10px !important;overflow: hidden;background: #F2F4F7;border-radius: 20px;}
#locationSwiper .swiper-pagination-progressbar .swiper-pagination-progressbar-fill{background: #4094F2;border-radius: 30px;} */
#locationSwiper .swiper-pagination-1{top: 0;left:0;text-align: left;font-weight: 700;width:auto;font-size: 18px;line-height: 40px;color: #F2F4F7;}
#locationSwiper .swiper-pagination-1 .swiper-pagination-current{color: #4094F2;}
#locationSwiper .swiper-button-prev{left: 0;transform:translate(50px,-40px);width:60px;height:60px;margin:0;background:url("../images/common/button-prev-w.png")no-repeat 50% 50%;background-size:100%;}
#locationSwiper .swiper-button-next{right:0;transform: translate(-50px,-40px);width:60px;height:60px;margin:0;background:url("../images/common/button-next-w.png")no-repeat 50% 50%;background-size:100%;}

/* locaion-tip 모달 */
#modal-location-tip .modal-content{padding:40px 30px;}
#modal-location-tip .modal-title{margin-bottom:20px;font-weight: 700;font-size: 24px;line-height: 32px;}
#modal-location-tip .step{margin-bottom:30px;}
#modal-location-tip .step>p{margin-bottom:10px;font-weight: 700;font-size: 18px;line-height: 24px;text-indent: -22px;margin-left: 22px;}
#modal-location-tip .step ul li{margin-bottom:10px;font-size: 16px;line-height: 24px;}
#modal-location-tip .step .txt-box{}
#modal-location-tip .step .txt-box .box{margin-left:22px;}
#modal-location-tip .step .txt-box .box p{margin-left: 22px;word-break: break-all;}
#modal-location-tip .step .txt-box .box p a{display: block;margin-bottom: 5px;}
#modal-location-tip .btn-center{margin-top:20px;}

/* 설문조사 */
.survey-modal{height: calc(100vh - 100px);position: relative;margin: 0.5rem auto;overflow-y: auto;border-radius: 10px;top: 50%;transform: translateY(-50%);background-color: #fff;}
.survey-modal .modal-content{height: 100%;overflow: hidden;background-color: #475467;border-radius: 0;padding: 63px 15px 0;}
.survey-modal .modal-content::before{position:absolute;left:50%;transform:translateX(-50%);display:block;z-index:99;top: 10px;background: url("../images/sub/bg-survey-top.png")no-repeat;background-size: 100%;width:240px;height:53px;content:'';}
.survey-modal .survey-wrap{position: relative;height: calc(100% - 68px);;padding: 30px;background-color: #1B1F29;border-radius: 10px;}
.survey-modal .survey-wrap .survey-box{height: 100%;padding:25px 15px;background-color: #fff;border-radius:10px;}
.survey-modal .survey-wrap .survey-box .title{margin-bottom:20px;font-size: 24px;font-weight: 700;line-height: 33px;}
.survey-modal .survey-wrap .survey-box .list{display:flex;flex-direction:column;row-gap:20px;height: calc(100% - 77px);overflow:auto;}
.survey-modal .survey-wrap .survey-box .list .que-box{padding:13px 10px;background-color: #F7F8FD;font-size: 16px;font-weight: 700;line-height: 24px;border-top:1px solid #E4E8F2;border-bottom:1px solid #E4E8F2;}
.survey-modal .survey-wrap .survey-box .list li.chk-confirm{padding: 10px;background: #F9FAFB;border: 1px solid #E4E7EC;border-radius: 10px;}
.survey-modal .survey-wrap .survey-box .list .desc{margin-top:10px;padding:13px 10px;border:1px solid #F2F4F7;border: 1px solid #E4E8F2;background-color: #F2F4F7;border-radius:8px;font-weight:400;}
.survey-modal .survey-wrap .survey-box .list .ans{padding:13px 10px;}
.survey-modal .survey-wrap .survey-box .list .ans .line{flex-direction: column;display:flex;gap:10px;}
.survey-modal .pop-clse{position:absolute;right:15px;top:15px;border: 1px solid #fff;}
.survey-modal .btn-center{padding: 10px;}
.survey-modal .btn-center .btn{width:200px;}
.survey-wrap .form-radio .form-radio-label {width: calc(100% - 23px);}
.survey-wrap .form-check{padding:0;}
.survey-modal .survey-wrap .survey-box .list label{color: #000;font-weight:500;font-size: 16px;line-height: 24px;}

/* 설문조사 리스트 */
.survey-list-modal .modal-content{padding:20px 30px;}
.survey-list-modal .modal-body{height: calc(100dvh - 252px);}
.survey-list-modal .modal-title{padding:20px 0;font-size: 24px;line-height: 32px;}
.survey-list-modal .list{height: 100%;overflow: auto;}
.survey-list-modal .list li {padding: 15px 0px;}
.survey-list-modal .title{font-size:20px;line-height: 26px;}
.survey-list-modal .btn-center{margin-top:30px;}


/* -----------------------------media 992px -------------------*/
@media (max-width: 992px){
.modal-dialog{transform: none;top: 0;width: calc(100% - 16px);}
/* .modal-lg, .modal-xl {max-width: 800px;} */
#locationSwiper .swiper1{height:auto;}

#locationSwiper .swiper-button-prev{width:30px;height:30px;top: 50%;margin: 0;transform:translate(0,-50%);}
#locationSwiper .swiper-button-next{width:30px;height:30px;top: 50%;margin: 0;transform: translate(0px,-50%);}
#locationSwiper .thumbnail li {aspect-ratio: 126/90;max-width: 126px;}

#modal-location-tip .modal-content{padding:20px 15px;}
#modal-location-tip .modal-title {margin-bottom: 15px;font-size: 20px;line-height: 1.4;}
#modal-location-tip .step{margin-bottom:15px;}
#modal-location-tip .step>p {margin-bottom: 5px;font-size: 16px;line-height: 1.4;}
#modal-location-tip .step ul li {margin-bottom: 5px;font-size: 14px;line-height: 1.4;}
#modal-location-tip .step .txt-box {font-size: 14px;line-height: 1.4;}
#modal-location-tip .step .txt-box .box {margin-left: 47px;}
#modal-location-tip .step .txt-box .box p {margin-left: -28px;}

/* 설문조사 */
.survey-modal{height: calc(100vh - 45px);}
.survey-modal .survey-wrap .survey-box .title {font-size: 18px;line-height: 25px;}
.survey-modal .survey-wrap .survey-box .list .que {padding: 10px}font-size: 15px;line-height: 22px;}
.survey-modal .survey-wrap {padding: 15px;}
.survey-modal .modal-content{padding:60px 10px 0;}
.survey-modal .modal-content::before {top: 25px;width: 196px;height: 43px;}
.survey-modal .icon-btn-clse {width: 30px;height: 30px;}    
}

/* -----------------------------media 576px -------------------*/
@media (max-width: 576px){
.modal-dialog { max-width: 500px;}

}